import { ZdPage } from '@zeedhi/vue';

const routes = [
  {
    path: '/auth/login',
    name: 'login',
    component: ZdPage,
    props: {
      path: 'login',
      local: true,
    },
  },
  {
    name: 'businessPartner',
    path: '/parceiro_de_negocio',
    component: ZdPage,
    props: {
      path: 'BusinessPartner/businessPartner',
      local: true,
    },
  },
  {
    name: 'businessPartnerInformation',
    path: '/informacoes_parceiros',
    component: ZdPage,
    props: {
      path: 'BusinessPartner/businessPartnerInformation',
      local: true,
    },
  },
  {
    path: '/',
    name: 'home',
    component: ZdPage,
    props: () => ({
      path: 'home',
      local: true,
    }),
  },
  {
    path: '/modules/:module/:page',
    name: 'microservice',
    component: () => import('../views/Microservice.vue'),
  },
  {
    path: '*',
    component: ZdPage,
    props: {
      path: 'notfound',
      local: true,
    },
  },
];

export default routes;
