import {
  DialogService,
} from '@zeedhi/common';

export class Utilities {
    
    public static showErrorMessage(error : any) {
        console.error(error.response);
        let msg = '';
        
        if (error.response && error.response.data && error.response.data.error) {
            msg = error.response.data.error;
        }
        else {
            msg = 'Ocorreu um erro inesperado. Por favor, entre em contato com o suporte.';
        }
        
        DialogService.show({
            name: 'error_dialog',
            type: 'error',
            title: 'Erro',
            text: msg,
        });
    }
}
